Using
Lists every backup archive in `backup.dir`, plus the currently running backup job (if any) separately in `running`.
applies to v0.5.1GET
/store-api/backups
const url = 'https://example.com/store-api/backups';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/store-api/backups \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Backup list
Media typeapplication/json
object
backups
required
Array<object>
object
created_at
required
integer format: int64
format_version
required
integer format: int32
id
required
string
schedule
string | null
scope
required
string
size_bytes
required
integer format: int64
state
required
string
Example generated
{ "backups": [ { "created_at": 1, "format_version": 1, "id": "example", "schedule": "example", "scope": "example", "size_bytes": 1, "state": "example" } ], "running": { "id": "example", "scope": "example", "started_at": 1 }}Backup is disabled
Media typetext/plain
string